/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-01 22:07
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N, maxpos;
vector<ll> c;

bool is_pos(){
    if(c[0] != 1)
        return 0;
    maxpos = 1;

    F(i, 1, N)
        if(c[i] > maxpos)
            return 0;
        else
            maxpos += c[i];
    return 1;
}

void solve(){
    // Code goes here ...
    cin >> N;

    c = vector<ll>();
    ll t;
    R(i, N){
        cin >> t;
        c.emplace_back(t);
    }
    sort(begin(c), end(c));

    cout << (is_pos() ? "YES" : "NO") << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
